GFS_PIO_DATASYNC(3)

NAME
gfs_pio_datasync - output a file's data on memroy to disk

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_pio_datasync(GFS_File gf);

DESCRIPTION

The function gfs_pio_datasync flushes data on memory of the gf, and waits for the I/O to complete before returning. It does not update metadtata stat information, while another function gfs_pio_sync updates the metadata in addition to the contents.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_pio_sync(3), gfs_pio_create(3), gfs_pio_open(3), gfs_pio_write(3), gfs_pio_flush(3)